import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.event.*;

/**
 * <b>Programm:</b> WaveGradient<br>
 * <b>Copyright:</b> 2002 Andreas Gohr, Frank Schubert<br>
 * <b>License:</b> GPL2 or higher<br>
 * <br>
 * <b>Info:</b> Sets up all needed control UI components
 */
public class InputPanel extends ManagedPanel{
  JTextField _lambdal;
  JTextField _freql;


  /*
   * Constructor
   * contains wave description
   */
  public InputPanel(ChangeListener cl,MonoWave mw){
    super(160,20);

    final String description = ""+
      "<HTML><BODY>"+
      "A wave is a disturbance or variation that "+
      "transfers energy progressively from point to point in a medium and that may "+
      "take the form of an elastic deformation or of a variation of pressure, electric "+
      "or magnetic intensity, electric potential, or temperature.<BR>"+
      "A wave is described by the following keys: The <B>amplitude (A)</B> which defines the "+
      "\"maximum height\", the <B>phaseshift (phi)</B> which defines where the wave starts, "+
      "the <B>wavelength (lambda)</B> which describes how the wave does look like and the <b>"+
      "frequency (f)</b> that describes how often a a full oscillation per second happens.<br>"+
      "</BODY></HTML>";

  
    MonoWaveSlider mws = mw.getMonoWaveSlider();
    
    addComponent(new JLabel("wavelength")  ,0,0,1,1,1,0);
    mws.getWaveLengthSlider().addChangeListener(cl);
    addComponent(mws.getWaveLengthSlider()  ,0,1,1,1,1,0);
    
    addComponent(new JLabel("frequency")  ,0,2,1,1,1,0);
    mws.getFrequencySlider().addChangeListener(cl);
    addComponent(mws.getFrequencySlider()  ,0,3,1,1,1,0);
  
    addComponent(new JLabel("amplitude")  ,0,4,1,1,1,0);
    mws.getAmplitudeSlider().addChangeListener(cl);
    addComponent(mws.getAmplitudeSlider()  ,0,5,1,1,1,0);

    addComponent(new JLabel("phase shift")  ,0,6,1,1,1,0);
    mws.getPhaseSlider().addChangeListener(cl);
    addComponent(mws.getPhaseSlider()  ,0,7,1,1,1,0);
  
    JEditorPane ep =new JEditorPane("text/html",description);
    ep.setEditable(false);
    JScrollPane esp = new JScrollPane(ep);
    addComponent(esp               ,0,8,1,1,1,1);

      
  }
  
}
