import java.awt.*;
import java.awt.image.*;
import java.awt.geom.*;
import javax.swing.*;

/**
 * <b>Programm:</b> WaveGradient<br>
 * <b>Copyright:</b> 2002 Andreas Gohr, Frank Schubert<br>
 * <b>License:</b> GPL2 or higher<br>
 * <br>
 * <b>Info:</b> paint object to fill with wavepattern
 */

public class WaveGradientPaint implements Paint{
  MonoWave _mw;
  Color _color;
  
  /**
   * Constructor
   */
  public WaveGradientPaint(MonoWave mw, Color color){
    _mw = mw;
    _color = color;
  }
  
  /**
   * returns WaveGradientContext, where the calculation takes place
   */
  public PaintContext createContext(ColorModel cm,
                                    Rectangle deviceBounds,
                                    Rectangle2D userBounds,
                                    AffineTransform trans,
                                    RenderingHints hints){
    return (new WaveGradientContext(_mw,_color,trans));
  }
  
  public int getTransparency(){
    return OPAQUE;
  }
				  
}
